```{eval-rst}
.. role:: hidden
    :class: hidden-section
```

# Benchmark Utils - torch.utils.benchmark

```{eval-rst}
.. automodule:: torch.utils.benchmark
```

```{eval-rst}
.. currentmodule:: torch.utils.benchmark
```

```{eval-rst}
.. autoclass:: Timer
    :members:
```

```{eval-rst}
.. autoclass:: Measurement
    :members:
```

```{eval-rst}
.. autoclass:: CallgrindStats
    :members:
```

```{eval-rst}
.. autoclass:: FunctionCounts
    :members:
```

```{eval-rst}
.. autoclass:: Compare
    :members:
```

# torch.utils.benchmark.examples

```{eval-rst}
.. py:module:: torch.utils.benchmark.examples
```

# torch.utils.benchmark.examples.spectral_ops_fuzz_test

```{eval-rst}
.. automodule:: torch.utils.benchmark.examples.spectral_ops_fuzz_test
```

```{eval-rst}
.. currentmodule:: torch.utils.benchmark.examples.spectral_ops_fuzz_test
```

```{eval-rst}
.. autosummary::
    :toctree: generated
    :nosignatures:

    run_benchmark
```

```{eval-rst}
.. py:module:: torch.utils.benchmark.op_fuzzers
```

```{eval-rst}
.. py:module:: torch.utils.benchmark.utils
```

```{eval-rst}
.. py:module:: torch.utils.benchmark.utils.valgrind_wrapper
```
